package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ZyRecruit;

/**
 * 人才招聘信息Mapper接口
 * 
 * @author libao
 * @date 2024-05-24
 */
public interface ZyRecruitMapper 
{
    /**
     * 查询人才招聘信息
     * 
     * @param id 人才招聘信息主键
     * @return 人才招聘信息
     */
    public ZyRecruit selectZyRecruitById(Long id);

    /**
     * 查询人才招聘信息列表
     * 
     * @param zyRecruit 人才招聘信息
     * @return 人才招聘信息集合
     */
    public List<ZyRecruit> selectZyRecruitList(ZyRecruit zyRecruit);

    /**
     * 新增人才招聘信息
     * 
     * @param zyRecruit 人才招聘信息
     * @return 结果
     */
    public int insertZyRecruit(ZyRecruit zyRecruit);

    /**
     * 修改人才招聘信息
     * 
     * @param zyRecruit 人才招聘信息
     * @return 结果
     */
    public int updateZyRecruit(ZyRecruit zyRecruit);

    /**
     * 删除人才招聘信息
     * 
     * @param id 人才招聘信息主键
     * @return 结果
     */
    public int deleteZyRecruitById(Long id);

    /**
     * 批量删除人才招聘信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZyRecruitByIds(Long[] ids);
}
